import { BigNumber } from '@0x/utils';
export interface StopLimitParameters {
    oracle: string;
    minPrice: BigNumber;
    maxPrice: BigNumber;
}
/**
 * Encodes the given stop limit data parameters into the bytes format expected by the
 * ChainlinkStopLimit contract.
 */
export declare function encodeChainlinkStopLimitData(params: StopLimitParameters): string;
/**
 * Encodes the given stop limit data parameters into StaticCall asset data so that it can be used
 * in a 0x order.
 */
export declare function encodeStopLimitStaticCallData(chainlinkStopLimitAddress: string, params: StopLimitParameters): string;
/**
 * Decodes stop limit data parameters from the bytes format expected by the ChainlinkStopLimit contract.
 */
export declare function decodeChainlinkStopLimitData(stopLimitData: string): StopLimitParameters;
/**
 * Decodes stop limit data parameters from stop limit StaticCall asset data.
 */
export declare function decodeStopLimitStaticCallData(assetData: string): StopLimitParameters;
//# sourceMappingURL=chainlink_utils.d.ts.map